### Method

# WPEWebKit FindController search

#### Declaration [src]

    void
    webkit_find_controller_search (
      WebKitFindController* find_controller,
      const gchar* search_text,
      guint32 find_options,
      guint max_match_count
    )

#### Description [src]

Looks for `search_text` associated with `find_controller`.

Looks for `search_text` in the `WebKitWebView` associated with `find_controller` since the beginning of the document highlighting up to `max_match_count` matches. The outcome of the search will be asynchronously provided by the `WebKitFindController::found-text` and `WebKitFindController::failed-to-find-text` signals.

To look for the next or previous occurrences of the same text with the same find options use `webkit_find_controller_search_next()` and/or webkit_find_controller_search_previous(). The `WebKitFindController` will use the same text and options for the following searches unless they are modified by another call to this method.

Note that if the number of matches is higher than `max_match_count` then `WebKitFindController::found-text` will report `G_MAXUINT` matches instead of the actual number.

Callers should call `webkit_find_controller_search_finish()` to finish the current search operation.

#### Parameters

`search_text`

  Type: `const gchar*`

  The text to look for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`find_options`

  Type: `guint32`

  A bitmask with the `WebKitFindOptions` used in the search.

`max_match_count`

  Type: `guint`

  The maximum number of matches allowed in the search.